<?php

namespace App\Modules\DefinedService\DefinedService\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface DefinedServiceRepository
{
    public function insert(DefinedService $model): IdDefinedService;
    public function update(DefinedService $model);
    public function find(StorageCriteria $action): DefinedService;
    public function search(StorageCriteria $action): array;
}
